Menu

## ModeTest extends TestCase
in package

ModeTest.php : 20

Mode coverage test

### Table of Contents

testGetLengthBitsForModeInvalidModeException() : void
testGetLengthBitsForVersionBreakpoints() : void
testGetLengthBitsForVersionInvalidModeException() : void
testGetLengthBitsForVersionInvalidVersionException() : void
versionProvider() : array<string|int, mixed>
  version breakpoints for numeric mode

### Methods

#### testGetLengthBitsForModeInvalidModeException()

ModeTest.php : 57
`public testGetLengthBitsForModeInvalidModeException() : void`

##### Return values

void —

#### testGetLengthBitsForVersionBreakpoints()

ModeTest.php : 39
`public testGetLengthBitsForVersionBreakpoints(int $version, int $expected) : void`

##### Parameters

$version : int
$expected : int

##### Tags

dataProvider

  versionProvider

##### Return values

void —

#### testGetLengthBitsForVersionInvalidModeException()

ModeTest.php : 43
`public testGetLengthBitsForVersionInvalidModeException() : void`

##### Return values

void —

#### testGetLengthBitsForVersionInvalidVersionException()

ModeTest.php : 50
`public testGetLengthBitsForVersionInvalidVersionException() : void`

##### Return values

void —

#### versionProvider()

ModeTest.php : 25

version breakpoints for numeric mode

`public versionProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

## Search results